repositorios feisty y upgrade a gutsy

Imagen de whiteless
0 puntos

Hola,

A ver si me pudierais ayudar a arreglar un problema que tengo desde hace un tiempo. En mi ordenador tengo feisty instalado y me gustaria hacer el upgrade a gutsy. Cuando lo hago el log que me sale es el siguiente:

2009-03-13 22:03:21,520 INFO release-upgrader version '0.81' started
2009-03-13 22:03:22,285 DEBUG lsb-release: 'feisty'
2009-03-13 22:03:22,286 DEBUG _pythonSymlinkCheck run
2009-03-13 22:03:24,566 DEBUG checkViewDepends()
2009-03-13 22:03:24,567 DEBUG getRequiredBackports()
2009-03-13 22:03:25,422 ERROR IOError in cache.update(): 'Failed to fetch http://es.archive.ubuntu.com/ubuntu/dists/feisty-backports/main/debian-i... 404 Not Found
'. Retrying (currentRetry: 0)
2009-03-13 22:03:26,638 ERROR IOError in cache.update(): 'Failed to fetch http://es.archive.ubuntu.com/ubuntu/dists/feisty-backports/main/debian-i... 404 Not Found
'. Retrying (currentRetry: 1)
2009-03-13 22:03:27,313 ERROR IOError in cache.update(): 'Failed to fetch http://es.archive.ubuntu.com/ubuntu/dists/feisty-backports/main/debian-i... 404 Not Found
'. Retrying (currentRetry: 2)
2009-03-13 22:03:27,313 ERROR doUpdate() failed complettely
2009-03-13 22:03:29,611 ERROR Can not find backport 'release-upgrader-apt'

Para poner un poco de perspectiva al asunto, yo tenia edgy instalado en español e hice el upgrade a feisty desde http://old.releases.ubuntu.com/ubuntu , que supongo que sera en ingles.

Yo no entiendo mucho, pero supongo que lo que pasa es que esta intentando actualizar algo de feisty (que saque del repositorio en español en su dia) y al no estar dicha direccion disponible me da un error y no me permite hacer el upgrade.

Es esto correcto? En ese caso, donde podria encontrar un repositorio para esta distribucion? Lo cierto es que en mi source.list yo tengo el repositorio mencionado anteriormente: http://old.releases.ubuntu.com/ubuntu , pero me sigue dando el error ya mencionado.

Por otra parte, si nada de lo que he dicho es correcto y hay algo que se me escapa, que es lo que estoy haciendo mal y como lo puedo solucionar?

Muchas gracias

Imagen de Surfaz
+1
0
-1

Te da error porque el repositorio para Ubuntu 7.04 ya no existe, su soporte finalizo hace ya unos meses.

Si quieres actualizarte a una versión más actual (preferiblemente la 8.04 que tiene más soporte) bajarte su cd y actualiza a partir de el.

Más info: http://www.ubuntu.com/getubuntu/upgrading#Upgrading%20Using%20the%20Alternate%20CD/DVD

***********************
No consultar nuestro wiki es directamente proporcional a la probabilidad de que no encuentres la solución a tu problema.

+1
0
-1

***********************
No consultar nuestro wiki es directamente proporcional a la probabilidad de que no encuentres la solución a tu problema.

Imagen de Goyo
+1
0
-1

Lo cierto es que en mi source.list yo tengo el repositorio mencionado anteriormente: http://old.releases.ubuntu.com/ubuntu , pero me sigue dando el error ya mencionado.

El error te lo da porque tienes repositorios de http://es.archive.ubuntu.com, bien claro lo dice.

+1
0
-1
Imagen de whiteless
+1
0
-1

Surfaz: No seria posible hacer upgrades progresivos sin necesidad de tener que reinstalar el SO? El problema es que cuando cambio en el source.list de feisty a gutsy y de http://old.releases.ubuntu.com/ubuntu a http://es.archive.ubuntu.com/ubuntu , me da el siguiente error:

Getting upgrade prerequisites failed

The system was unable to get the prerequisites for the upgrade. The upgrade will abort now and restore the original system state.

Please report this as a bug against the 'update-manager' package and include the files in /var/log/dist-upgrade/ in the bugreport.

Con el log que he puesto antes.

Goyo: Ponga el repositorio que ponga en mi source.list siempre me sale ese mensaje.

+1
0
-1
Imagen de Goyo
+1
0
-1

Ponga el repositorio que ponga en mi source.list siempre me sale ese mensaje [Con el log que he puesto antes]

El log hace referencia a repositorios de http://es.archive.ubuntu.com/ubuntu para Feisty, que ya no existen. Si no tuvieras esos repositorios en el sources.list no creo que apareciera eso.

+1
0
-1
Imagen de Surfaz
+1
0
-1

Puedes hacer actualizaciones progresivas sin reinstalar el SO usando el CD de una nueva versión de Ubuntu en vez de los repositorios.

Ya te lo explique antes: http://www.ubuntu.com/getubuntu/upgrading#Upgrading%20Using%20the%20Alternate%20CD/DVD

***********************
No consultar nuestro wiki es directamente proporcional a la probabilidad de que no encuentres la solución a tu problema.

+1
0
-1

***********************
No consultar nuestro wiki es directamente proporcional a la probabilidad de que no encuentres la solución a tu problema.

Imagen de whiteless
+1
0
-1

Goyo, pues por raro que parezca asi es. No podria ser que esta intentando actualizar algo para feisty antes de hacer el upgrade a gutsy y busca ahi?

Surfaz, si no consigo hacer el upgrade via repositorios, intentare lo que me dices.

Gracias a los dos por intentar ayudarme.

+1
0
-1
Imagen de Goyo
+1
0
-1

La única explicación que se me ocurre es que la dirección esté escrita a lo bestia en el programa, pero me parece una chapuza tan tremenda que me niego a creerlo. Creo que deberímos ver tu sources.list (en realidad me sorprende que no lo hayamos visto antes).

+1
0
-1
Imagen de whiteless
+1
0
-1

Bueno, pues desde anoche han cambiado un poco las cosas. Finalmente intente hacer el upgrade desde una terminal sin utilizar el gestor de actualizaciones (que es lo que habia hecho hasta entonces). Al hacer sudo apt-get update o sudo apt-get upgrade seguian apareciendome mensajes de error, asi que finalmente probe sudo apt-get upgrade --fix-missing y todo funciono aparentemente bien. Visto que todo iba bien, y como lo que queria era instalar hasta hardy al menos, volvi a hacer el proceso para hacer el siguiente upgrade. De nuevo tenia problemas desde el gestor de actualizaciones y con el sudo apt-get update y upgrade, asi que volvi a añadir la opcion --fix-missing y todo de nuevo aparentemente funciono correctamente. Al reiniciarlo se me quedo colgado y cuando lo reinicie todo parecia bien hasta el momento que me pide el usuario y contraseña. Justo antes de llegar alli me sale un mensaje de error que dice:

There was an error loading the theme Human
Can't open file /usr/share/gdm/themes/Human/Human.xml

Le doy a ok y lo unico que sucede es que la pantalla me cambia de configuracion, pero me deja entrar. Al entrar al gestor de actualizaciones me dice que hay alguna actualizacion por hacer y que puedo hacer un partial upgrade. Sin embargo cuando acepto no pasa nada y se cierra el gestor.

Si lo que hago desde una terminal es sudo apt-get update obtengo la siguiente salida:

Des:1 http://es.archive.ubuntu.com hardy Release.gpg [189B]
Obj http://es.archive.ubuntu.com hardy/main Translation-es
Obj http://es.archive.ubuntu.com hardy/restricted Translation-es
Obj http://es.archive.ubuntu.com hardy/universe Translation-es
Obj http://es.archive.ubuntu.com hardy/multiverse Translation-es
Des:2 http://es.archive.ubuntu.com hardy-updates Release.gpg [189B]
Ign http://es.archive.ubuntu.com hardy-updates/main Translation-es
Ign http://es.archive.ubuntu.com hardy-updates/restricted Translation-es
Ign http://es.archive.ubuntu.com hardy-updates/universe Translation-es
Ign http://es.archive.ubuntu.com hardy-updates/multiverse Translation-es
Des:3 http://es.archive.ubuntu.com hardy-security Release.gpg [189B]
Ign http://es.archive.ubuntu.com hardy-security/main Translation-es
Ign http://es.archive.ubuntu.com hardy-security/restricted Translation-es
Ign http://es.archive.ubuntu.com hardy-security/universe Translation-es
Ign http://es.archive.ubuntu.com hardy-security/multiverse Translation-es
Des:4 http://es.archive.ubuntu.com hardy-backports Release.gpg [189B]
Ign http://es.archive.ubuntu.com hardy-backports/main Translation-es
Ign http://es.archive.ubuntu.com hardy-backports/restricted Translation-es
Ign http://es.archive.ubuntu.com hardy-backports/universe Translation-es
Ign http://es.archive.ubuntu.com hardy-backports/multiverse Translation-es
Ign http://es.archive.ubuntu.com hardy-backports/main/debian-installer Translation-es
Ign http://es.archive.ubuntu.com feisty-backports Release.gpg
Ign http://es.archive.ubuntu.com feisty-backports/main/debian-installer Translation-es
Obj http://es.archive.ubuntu.com hardy Release
Obj http://es.archive.ubuntu.com hardy-updates Release
Obj http://es.archive.ubuntu.com hardy-security Release
Obj http://es.archive.ubuntu.com hardy-backports Release
Ign http://es.archive.ubuntu.com feisty-backports Release
Ign http://es.archive.ubuntu.com feisty-backports/main/debian-installer Packages
Err http://es.archive.ubuntu.com feisty-backports/main/debian-installer Packages
404 Not Found
Obj http://es.archive.ubuntu.com hardy/main Packages
Obj http://es.archive.ubuntu.com hardy/restricted Packages
Obj http://es.archive.ubuntu.com hardy/universe Packages
Obj http://es.archive.ubuntu.com hardy/multiverse Packages
Obj http://es.archive.ubuntu.com hardy-updates/main Packages
Obj http://es.archive.ubuntu.com hardy-updates/restricted Packages
Obj http://es.archive.ubuntu.com hardy-updates/universe Packages
Obj http://es.archive.ubuntu.com hardy-updates/multiverse Packages
Obj http://es.archive.ubuntu.com hardy-security/main Packages
Obj http://es.archive.ubuntu.com hardy-security/restricted Packages
Obj http://es.archive.ubuntu.com hardy-security/universe Packages
Obj http://es.archive.ubuntu.com hardy-security/multiverse Packages
Obj http://es.archive.ubuntu.com hardy-backports/main Packages
Obj http://es.archive.ubuntu.com hardy-backports/restricted Packages
Obj http://es.archive.ubuntu.com hardy-backports/universe Packages
Obj http://es.archive.ubuntu.com hardy-backports/multiverse Packages
Obj http://es.archive.ubuntu.com hardy-backports/main/debian-installer Packages
Obj http://es.archive.ubuntu.com hardy-backports/main Sources
Obj http://es.archive.ubuntu.com hardy-backports/restricted Sources
Obj http://es.archive.ubuntu.com hardy-backports/universe Sources
Obj http://es.archive.ubuntu.com hardy-backports/multiverse Sources
Descargados 4B en 1s (2B/s)
Imposible obtener http://es.archive.ubuntu.com/ubuntu/dists/feisty-backports/main/debian-i... 404 Not Found
Leyendo lista de paquetes... Hecho
E: Algunos archivos de índice no se han podido descargar, se han ignorado,
o se ha utilizado unos antiguos en su lugar.

Sigo sin entender el porque busca los archivos feisty.

Y este es mi fichero sources.list:

## Add comments (##) in front of any line to remove it from being checked.
## Use the following sources.list at your own risk.

deb http://es.archive.ubuntu.com/ubuntu hardy main restricted universe multiverse
##deb-src http://es.archive.ubuntu.com/ubuntu hardy main restricted universe multiverse

##deb http://es.archive.ubuntu.com/ubuntu hardy-proposed main restricted universe multiverse

## MAJOR BUG FIX UPDATES produced after the final release
deb http://es.archive.ubuntu.com/ubuntu hardy-updates main restricted universe multiverse
##deb-src http://es.archive.ubuntu.com/ubuntu hardy-updates main restricted universe multiverse

## UBUNTU SECURITY UPDATES
deb http://es.archive.ubuntu.com/ubuntu hardy-security main restricted universe multiverse
##deb-src http://es.archive.ubuntu.com/ubuntu hardy-security main restricted universe multiverse

## BACKPORTS REPOSITORY (Unsupported. May contain illegal packages. Use at own risk.)
deb http://es.archive.ubuntu.com/ubuntu hardy-backports main restricted universe multiverse
deb http://es.archive.ubuntu.com/ubuntu hardy-backports main/debian-installer
deb-src http://es.archive.ubuntu.com/ubuntu hardy-backports main restricted universe multiverse

## PLF REPOSITORY (Unsupported. May contain illegal packages. Use at own risk.)
# deb http://packages.medibuntu.org/ hardy free non-free

## CANONICAL COMMERCIAL REPOSITORY (Hosted on Canonical servers, not Ubuntu
## servers. RealPlayer10, Opera, DesktopSecure and more to come.)
##deb http://es.archive.canonical.com/ubuntu hardy-commercial main

## Listen
##deb http://theli.free.fr/packages/ hardy listen

En las ocasiones anteriores, para hacer el upgrade a gutsy, lo unico que hice fue poner gutsy donde ahora pone hardy.

Gracias de nuevo.

+1
0
-1
Imagen de Goyo
+1
0
-1

No había caído hasta ahora pero a veces hay más archivos con listas de fuentes, además de sources.list.

Mira a ver si tienes un directorio como /etc/apt/sources.list.d y dentro de él más archivos con listas de fuentes (un ejemplo típico es medibuntu).

+1
0
-1
Imagen de Surfaz
+1
0
-1

Cambiar gutsy por hardy en el sources.list es algo bastante arriesgado.

Desde la misma página oficial de ubuntu no se recomienda bajo ninguna circunstancia.

Si lo haces te arriesgas a tener múltiples problemas de dependencias.

***********************
No consultar nuestro wiki es directamente proporcional a la probabilidad de que no encuentres la solución a tu problema.

+1
0
-1

***********************
No consultar nuestro wiki es directamente proporcional a la probabilidad de que no encuentres la solución a tu problema.